// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <cstdlib> // Can also use 'stdlib.h'
#include <ctime>   // Can also use 'time.h'
#include <limits>

int main()
{
    unsigned int seed {};
    int a {}, b {}, c {}, d {};
    struct tm* Time;
    time_t CurrentTime;
    time(&CurrentTime);
    Time = localtime(&CurrentTime);
    seed = Time->tm_sec; // Use seconds as seed
    
    srand(seed);
    a = rand();
    b = rand();
    c = rand();
    d = rand();

    std::cout << '\n' << "Here are four random numbers generated based on this:" << '\n' << a << '\n' << b << '\n' << c << '\n' << d << '\n';
    
    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
